Bug 432815 - e_book_open() blocks if the server is unavailable
e_book_open() blocks if the server is unavailable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
: 454351 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 11:10 EST by Kjartan Maraas
Modified: 2009-07-14 14:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2008-02-14 11:10:29 EST
Description of problem:

As part of setting up a twitter account you're asked to add an IM account. When
I did this it told me to click on a link to add twitter@twitter.com to my
contact list and it was opened by pidgin. The problem seems to be that my
evolution setup has an unreachable ldap addressbook in it and pidgin seems to be
hanging while trying to check stuff in that...

Thread 1 (Thread 0xb801f720 (LWP 16061)):
#0  0x00131416 in __kernel_vsyscall ()
#1  0x00ce5085 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0102407e in do_open (sync=1, book=0x8e00a80, 
    only_if_exists=<value optimized out>, error=0x0, cb=0, closure=0x0)
    at e-book.c:2709
#3  0x01024299 in e_book_open (book=0x8e00a80, only_if_exists=0, error=0x0)
    at e-book.c:2754
---Type <return> to continue, or q <return> to quit---
#4  0x04a4b981 in gevo_load_addressbook (
    uri=0x95a8d28
"ldap://ldap.oslo.kommune.no:389/ou=People,dc=oslo,dc=kommune??one?",
book=0xbfb47cb4, error=0x0) at gevo-util.c:142
#5  0x04a4d18a in gevo_search_buddy_in_contacts (buddy=0x95aab00, query=0x0)
    at eds-utils.c:123
#6  0x04a4b81c in gevo_get_email_for_buddy (buddy=0x95aab00) at gevo-util.c:159
#7  0x04a4aebc in blist_node_extended_menu_cb (node=0x95aab00, menu=0xbfb47e18)
    at gevolution.c:281
#8  0x0091e30a in purple_marshal_VOID__POINTER_POINTER (
    cb=0x4a4ae30 <blist_node_extended_menu_cb>, args=0xbfb47e08 "", data=0x0, 
    return_val=0x0) at signals.c:669
#9  0x0091f129 in purple_signal_emit_vargs (instance=0x99dcac, 
    signal=0x96a1fb "blist-node-extended-menu", args=0xbfb47e08 "")
    at signals.c:482
#10 0x0091f29e in purple_signal_emit (instance=0x80, 
    signal=0x1 <Address 0x1 out of bounds>) at signals.c:434
#11 0x008d8e82 in purple_blist_node_get_extended_menu (n=0x95aab00)
    at blist.c:2636
#12 0x0807c092 in pidgin_append_blist_node_extended_menu (menu=0x8d501d0, 
    node=0x95aab00) at gtkblist.c:1293
#13 0x0808c48b in populate_menu_with_options (menu=0x8d501d0, 
    gtkconv=<value optimized out>, all=0) at gtkconv.c:3116
#14 0x0808c700 in regenerate_options_items (win=0x9597098) at gtkconv.c:3146
---Type <return> to continue, or q <return> to quit---
#15 0x0809bb7e in switch_conv_cb (notebook=0x83df398, page=0x959dcf0, 
    page_num=0, user_data=0x9597098) at gtkconv.c:8821
#16 0x004a0f0d in _gtk_marshal_VOID__POINTER_UINT (closure=0x9596550, 
    return_value=0x0, n_param_values=3, param_values=0xbfb48198, 
    invocation_hint=0xbfb480cc, marshal_data=0x0) at gtkmarshalers.c:2633
#17 0x009c815b in IA__g_closure_invoke (closure=0x9596550, return_value=0x0, 
    n_param_values=3, param_values=0xbfb48198, invocation_hint=0xbfb480cc)
    at gclosure.c:490
#18 0x009df090 in signal_emit_unlocked_R (node=0x83c33d0, detail=0, 
    instance=0x83df398, emission_return=0x0, instance_and_params=0xbfb48198)
    at gsignal.c:2510
#19 0x009e0280 in IA__g_signal_emit_valist (instance=0x83df398, signal_id=107, 
    detail=0, var_args=0xbfb483b4 "s") at gsignal.c:2199
#20 0x009e0726 in IA__g_signal_emit (instance=0x83df398, signal_id=107, 
    detail=0) at gsignal.c:2243
#21 0x004c51a7 in gtk_notebook_switch_page (notebook=0x83df398, page=0x959dcf0)
    at gtknotebook.c:5813
#22 0x004c1a3c in gtk_notebook_real_insert_page (notebook=0x83df398, 
    child=0x8da45a0, tab_label=0x8da4780, menu_label=0x0, position=0)
    at gtknotebook.c:4108
#23 0x004c6411 in IA__gtk_notebook_insert_page_menu (notebook=0x83df398, 
    child=0x8da45a0, tab_label=0x8da4780, menu_label=0x0, position=-1)
    at gtknotebook.c:6253
---Type <return> to continue, or q <return> to quit---
#24 0x004c593d in IA__gtk_notebook_append_page (notebook=0x83df398, 
    child=0x8da45a0, tab_label=0x8da4780) at gtknotebook.c:6066
#25 0x0808893b in pidgin_conv_tab_pack (win=0x9597098, gtkconv=0x8e7b2a0)
    at gtkconv.c:9298
#26 0x080981d2 in pidgin_conv_window_add_gtkconv (win=0x9597098, 
    gtkconv=0x8e7b2a0) at gtkconv.c:9211
#27 0x080987ed in conv_placement_last_created_win (conv=0x8e7b2a0)
    at gtkconv.c:9530
#28 0x0809ec18 in private_gtkconv_new (conv=0x8d6fbd0, hidden=0)
    at gtkconv.c:5131
#29 0x0809f27e in pidgin_conv_new (conv=0x8d6fbd0) at gtkconv.c:5148
#30 0x008f2b51 in purple_conversation_new (type=PURPLE_CONV_TYPE_IM, 
    account=0x82a7c80, name=0x8e7d5e4 "twitter@twitter.com")
    at conversation.c:374
#31 0x009659c4 in purple_conversation_new_DBUS (message_DBUS=0x8e95f90, 
    error_DBUS=0xbfb48778) at dbus-bindings.c:3317
#32 0x0094367c in purple_dbus_dispatch_cb (connection=0x8259738, 
    message=0x8e95f90, user_data=0x99bce0) at dbus-server.c:447
#33 0x0091e7be in purple_marshal_BOOLEAN__POINTER_POINTER (
    cb=0x9435a0 <purple_dbus_dispatch_cb>, 
    args=0xbfb48848 "8\227%\b\220_�\b\001", data=0x99bce0, 
    return_val=0xbfb487f4) at signals.c:861
#34 0x0091efd1 in purple_signal_emit_vargs_return_1 (instance=0x9a0a78, 
---Type <return> to continue, or q <return> to quit---
    signal=0x97b167 "dbus-method-called", 
    args=0xbfb48848 "8\227%\b\220_�\b\001") at signals.c:563
#35 0x0091f20e in purple_signal_emit_return_1 (instance=0x80, 
    signal=0x1 <Address 0x1 out of bounds>) at signals.c:506
#36 0x0093d496 in purple_dbus_dispatch (connection=0x8259738, 
    message=0x8e95f90, user_data=0x0) at dbus-server.c:540
#37 0x00c5e2f5 in _dbus_object_tree_dispatch_and_unlock (tree=0x82595a8, 
    message=0x8e95f90) at dbus-object-tree.c:856
#38 0x00c4ff74 in dbus_connection_dispatch (connection=0x8259738)
    at dbus-connection.c:4388
#39 0x009a7f7d in ?? () from /usr/lib/libdbus-glib-1.so.2
#40 0x00a50098 in IA__g_main_context_dispatch (context=0x82578c8)
    at gmain.c:2064
#41 0x00a53743 in g_main_context_iterate (context=0x82578c8, block=1, 
    dispatch=1, self=0x82353f0) at gmain.c:2697
#42 0x00a53c62 in IA__g_main_loop_run (loop=0x8d73eb0) at gmain.c:2905
#43 0x00499acd in IA__gtk_main () at gtkmain.c:1163
#44 0x080c26ca in main (argc=1, argv=0xbfb4ad74) at gtkmain.c:873
#0  0x00131416 in __kernel_vsyscall ()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Stu Tomlinson 2008-02-14 11:26:49 EST
This is indeed hanging in the evolution integration plugin. Does evolution also
lock up when trying to access that address book?

I don't think pidgin can do anything about e_book_open blocking, this is
probably a bug in evolution-data-server.

You can obviously work around this in the mean time by disabling the Evolution
integration plugin under Tools -> Plugins.
Comment 2 Kjartan Maraas 2008-02-14 12:01:07 EST
Seems like just marking the local addressbook in evolution as the default took
care of the hang. So the general bug here is "e_book_open() blocks if the server
is unavailable"?
Comment 3 Bug Zapper 2008-05-14 01:12:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Balaji G 2008-06-10 12:57:43 EDT
Changing Status to ASSIGNED
Comment 5 Warren Togami 2009-03-24 11:10:13 EDT
*** Bug 454351 has been marked as a duplicate of this bug. ***
Comment 6 Milan Crha 2009-03-24 12:16:39 EDT
EBook has synchronous and asynchronous functions. When pidgin will use e_book_async_open then it shouldn't block. Nothing we can do on
Evolution-Data-Server side.
Comment 7 Kjartan Maraas 2009-04-29 05:48:12 EDT
Feel free to close this here then.
Comment 8 Bug Zapper 2009-06-09 19:33:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matthew Barnes 2009-06-28 21:27:46 EDT
Reassigning this to Pidgin based on comment #6.
May have been fixed already in Pidgin's Evolution plugin.
Comment 10 Bug Zapper 2009-07-14 14:25:38 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.